"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateWorkspace = updateWorkspace;
const devkit_1 = require("@nx/devkit");
function updateWorkspace(host, options) {
    var _a;
    var _b;
    const project = (0, devkit_1.readProjectConfiguration)(host, options.project);
    (_a = (_b = project.targets).build) !== null && _a !== void 0 ? _a : (_b.build = {
        options: {
            assets: [],
            styles: [],
        },
    });
    project.targets.build.options.assets = [
        ...project.targets.build.options.assets.filter((asset) => asset.toString().includes('src/favicon.ico') ||
            asset.toString().includes(`public/favicon.ico`)),
        options.projectRoot + '/src/manifest.json',
        {
            glob: '**/*.svg',
            input: 'node_modules/ionicons/dist/ionicons/svg',
            output: './svg',
        },
    ];
    project.targets.build.options.styles = [
        ...project.targets.build.options.styles,
        (0, devkit_1.normalizePath)(`${options.projectRoot}/src/theme/variables.css`),
    ];
    (0, devkit_1.updateProjectConfiguration)(host, options.project, project);
}
//# sourceMappingURL=update-workspace.js.map